Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.validation.beanvalidation
Class SpringConstraintValidatorFactory

    java.lang.Object
      org.springframework.validation.beanvalidation.SpringConstraintValidatorFactory

All Implemented Interfaces:
  javax.validation.ConstraintValidatorFactory

    public class SpringConstraintValidatorFactory

extends java.lang.Object
implements javax.validation.ConstraintValidatorFactory

JSR-303 `ConstraintValidatorFactory` implementation that delegates to a Spring BeanFactory for creating autowired `ConstraintValidator` instances.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `AutowireCapableBeanFactory.createBean(Class)`, `ApplicationContext.getAutowireCapableBeanFactory()`

Constructor Summary
`SpringConstraintValidatorFactory(AutowireCapableBeanFactory beanFactory)` Create a new SpringConstraintValidatorFactory for the given BeanFactory.

Method Summary
`
`<T extends javax.validation.ConstraintValidator<?,?>> T`
` | `getInstance(java.lang.Class<T> key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringConstraintValidatorFactory

    public SpringConstraintValidatorFactory(AutowireCapableBeanFactory beanFactory)

  Create a new SpringConstraintValidatorFactory for the given BeanFactory.

  Parameters:
    `beanFactory` - the target BeanFactory

Method Detail

### getInstance

    public <T extends javax.validation.ConstraintValidator<?,?>> T getInstance(java.lang.Class<T> key)

  Specified by:
    `getInstance` in interface `javax.validation.ConstraintValidatorFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD